Xcode 5 to Xcode 4 Выполнить проект

У меня есть проект, который я запустил в iOS SDK 6. Я загрузил Xcode 5 Beta с iOS 7 и успешно запустил его.

Однако, чтобы отправить проект, мне нужно вернуться к SDK 6 и Xcode 4. Когда я это сделаю, я получу следующее сообщение для каждого файла XIB, который у меня есть в проекте:

Как это исправить, чтобы я мог скомпилировать и запустить из SDK 6 и Xcode 4?

 Rajneesh07126 сент. 2013 г., 15:24
возможный дубликатstackoverflow.com/questions/19026621/...
 Eric18 июн. 2013 г., 20:29
То же самое случилось со мной ... Мне пришлось вернуться к более старой рабочей версии (мерзавец) ... Яя не уверен, что есть что-то, что вы можете сделать, если у вас нет какого-то контроля версий в вашем файле

Ответы на вопрос(1)

Решение Вопроса

Откройте файл раскадровки на Xcode 5, а затем:

Инспектор открытых файловНаДокументы Интерфейсного Разработчика изменение разделаОткрыть с в Xcode 4.6 (если этос 5.х).Сохраните, закройте проект и откройте его со старым Xcode.

Это должно работать сейчас.

Это тот же метод, что и в предыдущих выпусках, поэтому я предполагаю, чтоЭто нормально для случая NDA (вы можете сделать то же самое на Xcode 4.6 для работы с более старой версией).

 Donald Burr09 июл. 2013 г., 00:35
Подтверждено, что все еще работает с Xcode 5 DP3, который был выпущен сегодня.
 Idan21 окт. 2013 г., 09:27
@Ans Вы должны сделать это с Xcode 5 ... затем использовать старый Xcode. Пожалуйста, внимательно прочитайте мои инструкции.
 Abdul Yasin18 сент. 2013 г., 13:06
Это удивительно. тихий удивительный и снимающий шляпу тоже мужик.
 Ans21 окт. 2013 г., 07:14
Разделы «Развертывание и разработка» (раскрывающиеся списки) отключены на моей стороне в разделе «Документы Interface Builder» инспектора файлов. Я'используя Xcode Version 4.6.3 (4H1503)
 Gizmodo20 июн. 2013 г., 21:17
Это работает. Спасибо
 Idan19 сент. 2013 г., 15:50
@AbdulYasin Спасибо!

Ваш ответ на вопрос